<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionSegmentedProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionSegmentedProduct">
        <id column="id" property="id" />
        <result column="production_date" property="productionDate" />
        <result column="delivery_date" property="deliveryDate" />
        <result column="product_type" property="productType" />
        <result column="material_name" property="materialName" />
        <result column="peel_weight" property="peelWeight" />
        <result column="quantity" property="quantity" />
        <result column="auxiliary_quantity" property="auxiliaryQuantity" />
        <result column="electronic_scale_quantity" property="electronicScaleQuantity" />
        <result column="allocate_by_actual_order" property="allocateByActualOrder" />
        <result column="direct_print" property="directPrint" />
        <result column="market_name" property="marketName" />
        <result column="delivery_customer" property="deliveryCustomer" />
        <result column="material_code" property="materialCode" />
        <result column="unit" property="unit" />
        <result column="auxiliary_unit" property="auxiliaryUnit" />
        <result column="remarks" property="remarks" />
        <result column="sales_order_number" property="salesOrderNumber" />
        <result column="warehouse" property="warehouse" />
        <result column="allocation_completion_status" property="allocationCompletionStatus" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
